/*
 * Fire (Flexible Interface Rendering Engine) is a set of graphics widgets for creating GUIs for j2me applications. 
 * Copyright (C) 2006  Bluebird co (www.bluebird.gr)
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, recordStoreWriter to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */
/*
 * Created on May 24, 2006
 */
package gr.bluevibe.fire.components;

import com.mobirent.abstracttags.Epitomize;

import gr.bluevibe.fire.displayables.FireScreen;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextBox;

public class RowTextBox extends TextBox implements CommandListener {

    private Row row;
    private Command ok;
    private Command cancel = new Command("mégse", Command.BACK, 0);
    private FireScreen screen = Epitomize.getScreen();

    public RowTextBox(Row row) {
        super(row.getId(), "", 30, row.getTextBoxConstrains());
        System.gc();
        if (row.getId().equals("felhasználónév")) {

            super.setMaxSize(20);
            super.setString(Epitomize.userName);


        } else if (row.getId().equals("URL")) {

            super.setMaxSize(300);
            super.setString(Epitomize.URL);



        } else if (row.getId().equals("jelszó")) {
            super.setMaxSize(128);
        }

        this.row = row;

        ok = new Command("Elfogad", Command.BACK, 1);
        this.addCommand(cancel);
        this.addCommand(ok);
        this.setCommandListener(this);
    }

    public void commandAction(Command c, Displayable d) {
        System.gc();
        row.textUpdate(getString());
        if (c == cancel) {
            if (row.getId().equals("felhasználónév") || row.getId().equals("jelszó") ||
                    row.getId().equals("URL")) {
                screen.closePopup();
                return;
            }
        }
        if (c == ok) {

            if (this.row.getId().equals("felhasználónév")) {
                return;
            }

            if (this.row.getId().equals("jelszó")) {
                return;
            }
            if (this.row.getId().equals("URL")) {

                return;
            }
            return;

        }
        row.textUpdate(getString());
    }
}
